{
  description = "A flake for setting up satnogs client using docker";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
    nixpkgs.url = "github:NixOS/nixpkgs/23.11";
  };
  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachSystem [ "x86_64-linux" "aarch64-linux" ]
      (system:
        let
          pkgs = nixpkgs.legacyPackages.${system};
        in
        {
          formatter = pkgs.nixpkgs-fmt;
        }
      ) // {
      nixosModules.default = { config, pkgs, ... }: {
        imports = [ ./satnogs-client-docker-module.nix ];
      };

    };
}
